/*
 * blancoDb Enterprise Edition
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.dbdotnet.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class BlancoDbDotNetWizardPage2 extends WizardPage {

    public BlancoDbDotNetWizardPage2(ISelection selection) {
        super("wizardPage");
        setTitle("blancoDbDotNetの紹介");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE).setText("blancoDbDotNet は下記のようなツールです。");
        new Label(container, SWT.NONE).setText("  1.R/Oマッピングツール");
        new Label(container, SWT.NONE)
                .setText("    ADO.NETを用いたデータベースプログラミングの大部分を自動化することができます。");
        new Label(container, SWT.NONE).setText("    SQLを入力としてマッピングを作成します。");
        new Label(container, SWT.NONE)
                .setText("    O/Rマッピングと全く逆のアプローチによるマッピング実装を提供します。");
        new Label(container, SWT.NONE).setText("  2.ソースコード生成タイプ");
        new Label(container, SWT.NONE)
                .setText("    ごく普通のADO.NETデータベースプログラミングのソースコード作成を肩代わりします。");
        new Label(container, SWT.NONE)
                .setText("    実行時に特定のライブラリ(*.dll)ファイルを必要としません。");
        new Label(container, SWT.NONE).setText("  3.ドキュメント指向");
        new Label(container, SWT.NONE).setText("    SQL定義書を入力として動作します。");
        new Label(container, SWT.NONE)
                .setText("    ドキュメント指向であるため、ドキュメントとソースコードとの同期について自然に実現することが出来ます。");

        setControl(container);
    }
}